IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfMailItemSetRead]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure adfMailItemSetRead'
		DROP PROCEDURE [dbo].[adfMailItemSetRead]
	END
GO

PRINT 'Creating procedure adfMailItemSetRead'
GO

SET QUOTED_IDENTIFIER ON
GO

/******************************************************************************
**		File: adfMailItemSetRead.sql
**		Name: adfMailItemSetRead
**		Desc: 
**
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: Dmitry.Kolchev
**		Date: 10/17/2006
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE PROCEDURE [adfMailItemSetRead] @ID TIdentifier, @Read TBool
AS
	SET NOCOUNT ON
	
	DECLARE @Class TClass
	SET @Class = dbo.adfGetClassByName('Adf.MailItem')
		
	EXEC dbo.adfDocumentSetRead @Class, @ID, @Read
	
	RETURN 0
GO

GRANT EXECUTE ON [adfMailItemSetRead] TO PUBLIC
GO
   