IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfUserParameterBrowse')
	BEGIN
		PRINT 'Dropping Procedure adfUserParameterBrowse'
		DROP  Procedure  adfUserParameterBrowse
	END

GO

PRINT 'Creating Procedure adfUserParameterBrowse'
GO
/******************************************************************************
**		File: 
**		Name: adfUserParameterBrowse
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfUserParameterBrowse
AS
	SET NOCOUNT ON
	
	SELECT
		[Name],
		[Value]
	FROM
		[UserParameter]
	WHERE
		[UserID] = dbo.adfGetCurrentUserID()
	RETURN 0
GO

GRANT EXEC ON adfUserParameterBrowse TO PUBLIC
GO
 