IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'PjmSyncClearExternalLink')
	BEGIN
		PRINT 'Dropping Procedure PjmSyncClearExternalLink'
		DROP  Procedure  PjmSyncClearExternalLink
	END

GO

PRINT 'Creating Procedure PjmSyncClearExternalLink'
GO

--------------------------------------------------------------------------------------
CREATE Procedure PjmSyncClearExternalLink
	@DeviceID varchar(40)
AS
	SET NOCOUNT ON
	
	DELETE [ExternalLink] WHERE  [DeviceID] = @DeviceID
	RETURN 0
GO

GRANT EXEC ON PjmSyncClearExternalLink TO PUBLIC
GO 