/******************************************************************************
**		File: upgrade-usersettings.sql
**		Desc:     
**
**		Auth: kirill.litveev
**		Date: 16/09/2009 11:32:25
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**		
*******************************************************************************/

DECLARE settings_cursor CURSOR LOCAL FAST_FORWARD READ_ONLY FOR
SELECT
	[ID], [ApplicationSettings]
FROM
	[User]
WHERE [ApplicationSettings] IS NOT NULL

OPEN settings_cursor
DECLARE @rID INT, @XML XML

BEGIN TRANSACTION

FETCH NEXT FROM settings_cursor INTO @rID, @XML
WHILE @@FETCH_STATUS = 0
BEGIN

	SET @XML.modify
	('
		replace value of 
		(/ApplicationSettings/Properties/SaveGridFilterConditions/text())[1]
		with "False"
	')

	UPDATE 
		[User]
	SET
		[ApplicationSettings] = @XML
	WHERE
		[ID] = @rID		

	FETCH NEXT FROM settings_cursor INTO @rID, @XML
END

COMMIT TRANSACTION

CLOSE settings_cursor
DEALLOCATE settings_cursor