IF NOT EXISTS (SELECT * FROM syscolumns WHERE [name] = 'UOMID' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='Service')
BEGIN
	EXEC sp_executesql N'ALTER TABLE [Service] ADD [UOMID] TIdentifier null'
	EXEC sp_executesql N'
	ALTER TABLE [Service] DISABLE TRIGGER ALL
	
	UPDATE 
		[Service] 
	SET 
		[UOMID] = [UOM].[ID]
	FROM
		[Service] 
		INNER JOIN [UOM] ON [UOM].[Code] = [Service].[UOM]
		
	ALTER TABLE [Service] ENABLE TRIGGER ALL'
	EXEC sp_executesql N'ALTER TABLE [Service] DROP COLUMN [UOM]'
END
GO

/*IF EXISTS (SELECT * FROM syscolumns WHERE [name] = 'DocumentCardID' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='DocumentItem')
BEGIN
	EXEC sp_executesql N'
	ALTER TABLE [DocumentCard] DISABLE TRIGGER ALL
	
	UPDATE 
		[DocumentCard]
	SET
		[DocumentItemID] = [DocumentItem].[ID]
	FROM
		[DocumentCard]
		INNER JOIN [DocumentItem]
			ON [DocumentCard].[ID] = [DocumentItem].[DocumentCardID]

	ALTER TABLE [DocumentCard] ENABLE TRIGGER ALL
	'
	EXEC sp_executesql N'ALTER TABLE [DocumentItem] DROP COLUMN [DocumentCardID]'
END
*/
GO

IF EXISTS (SELECT * FROM syscolumns WHERE [name] = 'DocumentTypeID' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='DocumentCard')
BEGIN
	EXEC sp_executesql N'ALTER TABLE [DocumentCard] DROP COLUMN [DocumentTypeID]'
END
GO
