﻿--//////////////View scripts////////////////////
--**************EmployeeView**************
IF EXISTS (SELECT * FROM sysobjects WHERE type = 'V' AND name = 'EmployeeView')
BEGIN
      PRINT 'Dropping View EmployeeView'
      DROP  View [pjmams].[EmployeeView]
END
GO

PRINT 'Creating View EmployeeView'
GO
            

create view [pjmams].[EmployeeView]
as 
	select
		[Employee].[ID] as [EmployeeID], 
		[Employee].[FileAs] as [EmployeeName],
		[User].[NTLogin] as [WindowsLogin]
	from 
		[dbo].[Employee] inner join [dbo].[User] 
			on ([Employee].[UserID] = [User].[ID])
	where
		[Employee].[UserID] is not null
	and 
		[User].[NTLogin] is not null

go

grant select on [pjmams].[EmployeeView] to [public]
go

