﻿
if exists (select * from dbo.sysobjects where id = object_id(N'[exch].[fnGetPhoneDigits]') AND xtype IN (N'FN', N'IF', N'TF'))
begin
	print 'Dropping function fnGetPhoneDigits'
	drop function [exch].[fnGetPhoneDigits]
end
GO

print 'Creating function fnGetPhoneDigits'
go

create function [exch].[fnGetPhoneDigits](@p varchar(256))
returns varchar(256)
as
begin
	declare @count int, @numbers varchar(32), @ch char(1)
 
	set @count = 0;
	set @numbers = '';

	while @count <= len(@p)
	begin
		set @ch = substring(@p, @count, 1);
		if @ch >= '0' and @ch <= '9'
		begin
			set @numbers = @numbers + @ch;
		end
		set @count = @count + 1;
	end
	return @numbers;
end;

go