﻿if exists (select * from dbo.sysobjects where id = object_id(N'[exch].[ExchangeLinkBrowse]') and objectproperty(id, N'IsProcedure') = 1)
begin
	print 'Dropping procedure ExchangeLinkBrowse'
	drop procedure [exch].[ExchangeLinkBrowse]
end
go

print 'Creating procedure ExchangeLinkBrowse'
go

create procedure [exch].[ExchangeLinkBrowse] @UserID int, @ClassName TCode
with execute as 'pjmexchangesync'
as
begin
	set nocount on;

	declare @class TClass;

	set @class = dbo.adfGetClassByName(@ClassName);

	select
		[DocumentClass],
		[DocumentID],
		[ExchangeID],
		[Data],
		[SyncTime]
	from	
		[exch].[ExchangeLink]
	where
		[UserID] = @UserID
	and
		[DocumentClass] = @class;

	return 0;
end
go

grant execute on [exch].[ExchangeLinkBrowse] to [projectmateservice];
go
