IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnPjm5IsTaskAssigned]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnPjm5IsTaskAssigned'
		DROP FUNCTION [dbo].[fnPjm5IsTaskAssigned]
	END

GO

PRINT 'Creating function fnPjm5IsTaskAssigned'
GO
/******************************************************************************
**		File: 
**		Name: fnPjm5IsTaskAssigned
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION fnPjm5IsTaskAssigned(@TaskID TIdentifier, @EmployeeID TIdentifier)
RETURNS BIT
AS
BEGIN
	DECLARE @result BIT
	
	IF EXISTS(SELECT * FROM [TaskAssignment] as [T] INNER JOIN [vwAssignment] as [A] ON ([T].[AssignmentID] = [A].[ID]) WHERE [T].[TaskID] = @TaskID AND [A].[EmployeeID] = @EmployeeID AND [T].[State] = 1)
		SET @result = 1
	ELSE
		SET @result = 0	
	RETURN @result
END
GO

 