IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfLicenseDelete]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure adfLicenseDelete'
		DROP PROCEDURE [dbo].[adfLicenseDelete]
	END
GO

PRINT 'Creating procedure adfLicenseDelete'
GO

/******************************************************************************
**		File: adfLicenseDelete.sql
**		Name: adfLicenseDelete
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**		.
*******************************************************************************/
CREATE PROCEDURE [adfLicenseDelete]
	@ID TIdentifier
AS
	DELETE [License]
	WHERE [ID] = @ID

	RETURN 0
GO

GRANT EXECUTE ON adfLicenseDelete TO PUBLIC
GO
 