IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'lmPaymentType')
	BEGIN
		PRINT 'Dropping Procedure lmPaymentType'
		DROP  Procedure  lmPaymentType
	END

GO

PRINT 'Creating Procedure lmPaymentType'
GO
/******************************************************************************
**		File: 
**		Name: lmPaymentType
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure lmPaymentType
AS
	SET NOCOUNT ON
	
	SELECT
		[PaymentType].[ID],
		[DocumentGlobal].[FileAs] as [Name],
		[PaymentType].[State]
	FROM
		[PaymentType] INNER JOIN [DocumentGlobal]
			ON ([PaymentType].[Class] = [DocumentGlobal].[Class] AND
				[PaymentType].[ID] = [DocumentGlobal].[ID] AND
				[DocumentGlobal].[Language] = dbo.adfGetLanguage())
		
	RETURN 0
GO

GRANT EXEC ON lmPaymentType TO PUBLIC
GO
   